%define upstream_version 2.1-7r2
%define major   2.1
%define minor   7
%define libname %mklibname rxtx %{major}
%define develname %mklibname rxtx -d

Name:           rxtx
Version:        2.1.7.2
Release:        %mkrel 2
Summary:        serial and parallel I/O libraries supporting Sun's CommAPI
Group:          System/Libraries
License:        LGPLv2+
URL:            http://www.rxtx.org/
Source0:        http://rxtx.qbang.org/pub/rxtx/%{name}-%{upstream_version}.zip
Source1:        http://repo1.maven.org/maven2/org/rxtx/rxtx/2.1.7/rxtx-2.1.7.pom
BuildRequires:  java-devel-openjdk
BuildRoot:      %{_tmppath}/%{name}-%{version}

%description
RXTX is a native library providing serial and parallel communication for the
Java Development Toolkit (JDK) moving towards compliance with Sun's CommAPI.

%package -n %{develname}
Summary:        Development files for %{name}
Group:          System/Libraries
Requires:       %{libname} = %{version}-%{release}

%description -n %{develname}
This package contains libraries and header files for
developing applications that use %{name}.

%package -n %{libname}
Summary:        Libraries for %{name}
Group:          System/Libraries

%description -n %{libname}
The libraries for %{name}.

%prep
%setup -q -n %{name}-%{upstream_version}

%build
%configure2_5x
make

%install
rm -rf %{buildroot}
install -d -m 755 %{buildroot}%{_libdir}
install -d -m 755 %{buildroot}%{_datadir}/java
%__make install \
    RXTX_PATH=%{buildroot}%{_libdir} \
    JHOME=%{buildroot}%{_datadir}/java

mkdir -p %{buildroot}%{_mavenpomdir}
install -m 644 %SOURCE1 %{buildroot}%{_mavenpomdir}/JPP-%{name}.pom
sed -i "s|<version>2.1.7</version>|<version>%{version}</version>|" %{buildroot}%{_mavenpomdir}/JPP-%{name}.pom
%add_to_maven_depmap org.%{name} %{name} %{version} JPP RXTXcomm

%clean
rm -rf %{buildroot}

%post
%update_maven_depmap

%postun
%update_maven_depmap

%files
%doc AUTHORS ChangeLog README TODO COPYING
%doc RMISecurityManager.html SerialPortInstructions.txt
%{_datadir}/java/RXTXcomm.jar
%{_mavenpomdir}/JPP*pom
%{_mavendepmapfragdir}/%{name}

%files -n %{libname}
%defattr(-,root,root)
%{_libdir}/*-%{major}-%{minor}.so

%files -n %{develname}
%defattr(-,root,root)
%{_libdir}/*.so
%{_libdir}/*.la
%exclude %{_libdir}/*-%{major}-%{minor}.so

%changelog

* Thu Sep 22 2011 gil <gil> 2.1.7.2-2.mga2
+ Revision: 146759
- added m2 pom

* Sun Mar 27 2011 dmorgan <dmorgan> 2.1.7.2-1.mga1
+ Revision: 77916
- imported package rxtx


* Sat Jul 25 2009 Guillaume Rousse <guillomovitch@mandriva.org> 2.1.7.2-1mdv2010.0
+ Revision: 399666
- use same version as gentoo

* Fri Jul 17 2009 Guillaume Rousse <guillomovitch@mandriva.org> 2.1.7r2-1mdv2010.0
+ Revision: 396931
- import rxtx


* Thu Jul 16 2009 Guillaume Rousse <guillomovitch@mandriva.org> 2.1.7r2-1mdv2010.0
- first mdv release
